function love.load()
    colormap = love.image.newImageData("coloredmap.png")
    colors = require "colorfinder.lua"
    regmap = love.graphics.newImage("map.png")
    offX = 0
    offY = 0
	love.graphics.setMode(800, 520)
	love.graphics.setBackgroundColor(0, 0, 128)
end

function love.mousepressed(x,y,b)
    r,g,b,a = colormap:getPixel(x - offX, y - offY)
end

function love.draw()
    love.graphics.draw(regmap, offX, offY)
	for _,v in pairs(colors) do
        if r == v.r and g == v.g and b == v.b then
            love.graphics.print("Why hello there.",0,0)
        end
    end
end